/* Reimbursement Tool */ 
.reimburse__view--is-hidden {
  display: none;
}

.reimburse {
  background: #00b5e2;
  padding: 3em 0;
}

.reimburse__content {
  background: white;
  padding: 3em 2em;
}

.reimburse__heading,
.reimburse__subheading {
  max-width: 630px;
  width: 100%;
  margin: 0 auto;
}

.reimburse__heading {
  text-align: center;
  color: #003b5c;
  margin-bottom: 5px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
}

.reimburse__subheading {
  text-align: left;
  margin-bottom: 15px;
}

/* Form View */
.reimburse__form-wrap {
  padding-top: 40px;
  padding-left: 40px;
  max-width: 665px;
  width: 100%;
  margin: 0 auto;
}

.reimburse__form select {
  position: relative;
  width: 100%;
  max-width: 340px;
  border: 1px solid #77787b;
  border-radius: 0;
  padding: 10px 15px;
  height: 43px;
  cursor: pointer;
  background: none;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  transition: all .15s ease; 
}
  
.reimburse__form select::-ms-expand {
  /* remove browser select arrow for IE */
  display: none;
}

.reimburse__form select:hover {
  border-color: #f79c31;
}

.reimburse__form select:focus {
  outline: none;
}

.reimburse__form-select {
  position: relative;
  width: 100%;
  max-width: 340px;
}

.reimburse__form-select:after {
  content: url(../images/icon-select-dropdown.svg);
  position: absolute;
  right: 15px;
  top: 10px;
  pointer-events: none;
}

.reimburse__form-select label {
  /* hide it, but not from screen readers */
  position: absolute; 
  overflow: hidden; 
  clip: rect(0 0 0 0); 
  height: 1px; 
  width: 1px; 
  margin: -1px; 
  padding: 0; 
  border: 0; 
}

.reimburse__form-row {
  padding-bottom: 30px;
}

.reimburse__form-row--therapy {
  padding-bottom: 10px;
}

.reimburse__form-heading-inner {
  color: #003b5c;
  position: relative;
}

.reimburse__form-heading-inner--state:before,
.reimburse__form-heading-inner--therapy:before {
  background: #0086d6;
  color: white;
  position: absolute;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  left: -60px;
  top: -6px;
  display: flex;
  text-align: center;
  justify-content: center;
  flex-direction: column;
  font-size: 22px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
}

.reimburse__form-heading-inner--state:before {
  content: '1';
}

.reimburse__form-heading-inner--therapy:before {
  content: '2';
}

.reimburse__form input[type=checkbox] {
  display: none;
}
 
.reimburse__form input[type=checkbox] + label {
  width: 110px;
  height: 230px;
  cursor: pointer;
  margin-right: 10px;
  margin-bottom: 10px;
  outline: none;
}

.reimburse__form input[type=checkbox]:checked + label {
  cursor: pointer;
  outline: none;
}

/* Ventilation */
.reimburse__form input[type=checkbox]#ventilation + label {
  background: url('../images/icon-ventilation-checked.svg') 0 0 no-repeat;
  cursor: not-allowed;
}

/* Oxygen */
.reimburse__form input[type=checkbox]#oxygen + label {
  background: url('../images/icon-oxygen-sprite.svg') 0 0 no-repeat;
}

.reimburse__form input[type=checkbox]#oxygen + label:hover {
  background: url('../images/icon-oxygen-sprite.svg') -110px 0 no-repeat;
}

.reimburse__form input[type=checkbox]#oxygen:checked + label {
  background: url('../images/icon-oxygen-sprite.svg') -220px 0 no-repeat;
}

/* Cough */
.reimburse__form input[type=checkbox]#cough + label {
  background: url('../images/icon-cough-sprite.svg') 0 0 no-repeat;
}

.reimburse__form input[type=checkbox]#cough + label:hover {
  background: url('../images/icon-cough-sprite.svg') -110px 0 no-repeat;
}

.reimburse__form input[type=checkbox]#cough:checked + label {
  background: url('../images/icon-cough-sprite.svg') -220px 0 no-repeat;
}

/* Suction */
.reimburse__form input[type=checkbox]#suction + label {
  background: url('../images/icon-suction-sprite.svg') 0 0 no-repeat;
}

.reimburse__form input[type=checkbox]#suction + label:hover {
  background: url('../images/icon-suction-sprite.svg') -110px 0 no-repeat;
}

.reimburse__form input[type=checkbox]#suction:checked + label {
  background: url('../images/icon-suction-sprite.svg') -220px 0 no-repeat;
}

/* Nebulizer */
.reimburse__form input[type=checkbox]#nebulizer + label {
  background: url('../images/icon-nebulizer-sprite.svg') 0 0 no-repeat;
}

.reimburse__form input[type=checkbox]#nebulizer + label:hover {
  background: url('../images/icon-nebulizer-sprite.svg') -110px 0 no-repeat;
}

.reimburse__form input[type=checkbox]#nebulizer:checked + label {
  background: url('../images/icon-nebulizer-sprite.svg') -220px 0 no-repeat;
}

.reimburse__form-submit {
  display: flex;
  justify-content: center;
  text-align: center;
  position: relative;
  left: -40px; /* offsets padding-left */
}

.reimburse__form input[type="submit"] {
  background: #f79c31;
  color: white;
  text-transform: uppercase;
  font-size: 16px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
  border: none;
  border-radius: 20px;
  transition: all .25s ease; 
  padding: 10px 45px;
}

.reimburse__form input[type="submit"]:hover {
  background: #ef6a2f;
}

/* Results View */
.reimburse__back-btn {
  cursor: pointer;
  transition: .15s ease all;
}

.reimburse__back-btn:hover {
  opacity: .8;
}

.reimburse__back-btn-image {
  position: relative;
  top: -2px;
  margin-right: 4px;
}

.reimburse__back-btn span {
  color: #f79c31;
  font-size: 16px;
  text-transform: uppercase;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
}

.reimburse__state-info {
  text-align: center;
  padding-top: 20px;
}

.reimburse__state-heading {
  color: #003b5c;
  margin-bottom: 10px;
}

.reimburse__state,
.reimburse__amount {
  font-size: 28px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
  color: #0086d6;
  font-weight: 700;
  padding-bottom: 15px;
}

.reimburse__compare-heading {
  padding-top: 30px;
}

.reimburse__compare-heading h2 {
  color: #0086d6;
  margin-bottom: 20px;
  text-align: center;
}

.reimburse__compare-grid {
  display: flex;
  justify-content: space-between;
}

.reimburse__compare-block {
  width: calc(50% - 10px);
  background: #f1f1f1;
  border-radius: 4px;
  padding: 1.25em 1.5em 2.5em;
  text-align: center;
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
}

.reimburse__compare-image-wrap {
  display: flex;
  align-items: center; 
  margin: auto;
  text-align: center;
  flex-wrap: wrap;
  justify-content: center;
}

.reimburse__compare-block--left .reimburse__compare-image {
  max-width: 100%;
  width: 250px;
  margin: 0 auto;
}

.reimburse__compare-block--right .reimburse__compare-image {
  display: inline-block;
  text-align: center;
  max-width: 100px;
  height: auto;
  width: calc(50% - 20px);
  margin: 8px 10px 7px;
}

.reimburse__compare-block-heading {
  font-size: 28px;
  margin-bottom: 40px;
  color: #003b5c;
  position: relative;
}

.reimburse__compare-block-heading:after {
  content: '';
  display: block;
  height: 1px;
  width: 200px;
  max-width: 80%;
  margin: 15px auto 0;
  background: #00b5e2;
}

.reimburse__compare-block-price {
  display: flex;
  flex-direction: column;
  margin-top: auto;
  justify-content: flex-end;
  padding-top: 30px;
}

.reimburse__compare-block-price span {
  display: block;
}

.reimburse__compare-block-price span:nth-child(1) {
  margin-bottom: 2px;
  font-size: 28px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
  color: #0086d6;
  font-weight: 700;
}

.reimburse__compare-block-price span:nth-child(2) {
  font-size: 16px;
  color: #77787b;
}

.reimburse__breakdown {
  background: #003b5c;
  color: white;
  border-radius: 4px;
  padding: 1.25em 2em;
  text-align: center;
}

.reimburse__breakdown p {
  font-size: 22px;
  line-height: 28px;
  max-width: 610px;
  width: 100%;
  margin: 0 auto;
}

.reimburse__breakdown strong {
  color: #f79c31;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
}

.reimburse__legal-block {
  padding-top: 25px;
}

.reimburse__legal-block h4 {
  font-size: 18px;
}

/* Share Block */
.reimburse__share-block {
  padding-top: 25px;
  display: flex;
  justify-content: center;
}

.reimburse__share-block a {
  transition: all .15s ease;
}

.reimburse__share-block a:hover {
  opacity: .8;
}

.reimburse__share-block img {
  margin-right: 7px;
}

.reimburse__share-link span {
  text-transform: uppercase;
  font-size: 16px;
  font-weight: 700;
  color: #f79c31;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
}

.reimburse__share-link--pdf {
  margin-right: 25px;
}

.reimburse__share-link--email {
  margin-left: 25px;
  cursor: pointer;
}

.reimburse__disclaimer {
  padding-top: 40px;
}

.reimburse__disclaimer p {
  font-size: 14px;
  color: #77787b;
}

/* Modal Popup Window */
.modal {
  display: none;
  overflow: hidden;
  position: fixed;
  z-index: 9999;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
}

.modal.is-open {
  display: block;
}

.modal__close {
  position: absolute;
  cursor: pointer;
  top: -0.75em;
  right: -0.75em;
  background: #0086d6;
  color: white;
  border-radius: 50%;
  font-weight: 900;
  height: 2em;
  width: 2em;
  text-align: center;
  line-height: 2em;
  /* equal to height */
}

.modal__content {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 530px;
  width: 90%;
  z-index: 9000;
  background: white;
  height: auto;
  margin: 0 auto;
  padding: 3em 4em;
}

.modal__interior {
  display: none;
}

.modal__interior.is-open {
  display: block;
}

.modal__form-intro h3 {
  color: #003b5c;
  font-weight: 700;
  font-size: 26px;
}

.modal__form-intro p {
  margin-bottom: 0;
}

.modal__form {
  padding-top: 7px;
}

.modal__form input {
  position: relative;
  width: 100%;
  max-width: 300px;
  border: 1px solid #77787b;
  border-radius: 0;
  padding: 10px 15px;
  height: 43px;
  cursor: pointer;
  background: none;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  transition: all .15s ease; 
}

.modal__form-input-label {
  font-weight: 700;
  display: inline-block;
  margin-bottom: 6px;
  margin-top: 18px;
  color: #333;
}

.modal__form-submit {
  padding-top: 20px;
}

.modal__form input[type="submit"] {
  background: #f79c31;
  color: white;
  text-transform: uppercase;
  font-size: 16px;
  font-family: AvenirLTStd-Heavy, Arial, Arial Bold, Gadget, sans-serif;
  border: none;
  border-radius: 20px;
  transition: all .25s ease; 
  padding: 9px 35px;
  width: auto;
}

.modal__form input[type="submit"]:hover {
  opacity: .8;
}

@media (max-width: 1200px) {
  .reimburse__back-btn {
    text-align: center;
    margin-bottom: 20px;
  }
}

@media (max-width: 768px) {
  .reimburse__form-wrap {
    padding-top: 25px;
    padding-left: 45px;
  }

  .reimburse__content {
    padding: 3em 30px 1.5em 20px;
  }

  .reimburse__heading {
    font-size: 25px;
  }

  .reimburse__form-heading-inner {
    font-size: 20px;
    line-height: 22px;
  }

  .reimburse__form-heading-inner--state:before,
  .reimburse__form-heading-inner--therapy:before {
    width: 30px;
    height: 30px;
    font-size: 18px;
    left: -45px;
    top: -4px;
  }

  .reimburse__form-submit {
    left: -23px;
  }

  .reimburse__state-heading {
    font-size: 18px;
    margin-bottom: 5px;
  }

  .reimburse__state,
  .reimburse__amount {
    font-size: 22px;
  }

  .reimburse__state-info {
    padding-top: 10px;
  }

  .reimburse__compare-block-price span:nth-child(1) {
    font-size: 22px;
  }

  .reimburse__breakdown p {
    font-size: 18px;
    line-height: 23px;
  }

  .reimburse__compare-block {
    padding: 1.25em 1em 2.5em;
  }

  .reimburse__compare-block-heading {
    font-size: 20px;
  }

  .reimburse__compare-heading h2 {
    font-size: 22px;
  }
}

@media (max-width: 750px) {
  .reimburse__form input[type=checkbox] + label {
    width: 88px;
    height: 184px;
    cursor: pointer;
    margin-right: 10px;
    margin-bottom: 10px;
    outline: none;
  }

  /* Ventilation */
  .reimburse__form input[type=checkbox]#ventilation + label {
    background: url('../images/icon-ventilation-checked.svg') 0 0 no-repeat;
    background-size: 88px 184px;
  }

  /* Oxygen */
  .reimburse__form input[type=checkbox]#oxygen + label {
    background: url('../images/icon-oxygen-sprite.svg') 0 0 no-repeat;
    background-size: cover;
    background-position: 0;
  }

  .reimburse__form input[type=checkbox]#oxygen + label:hover {
    background: url('../images/icon-oxygen-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -88px;
  }

  .reimburse__form input[type=checkbox]#oxygen:checked + label {
    background: url('../images/icon-oxygen-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -176px;
  }

  /* Cough */
  .reimburse__form input[type=checkbox]#cough + label {
    background: url('../images/icon-cough-sprite.svg') 0 0 no-repeat;
    background-size: cover;
    background-position: 0;
  }

  .reimburse__form input[type=checkbox]#cough + label:hover {
    background: url('../images/icon-cough-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -88px;
  }

  .reimburse__form input[type=checkbox]#cough:checked + label {
    background: url('../images/icon-cough-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -176px;
  }

  /* Suction */
  .reimburse__form input[type=checkbox]#suction + label {
    background: url('../images/icon-suction-sprite.svg') 0 0 no-repeat;
    background-size: cover;
    background-position: 0;
  }

  .reimburse__form input[type=checkbox]#suction + label:hover {
    background-image: url('../images/icon-suction-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -88px;
  }

  .reimburse__form input[type=checkbox]#suction:checked + label {
    background: url('../images/icon-suction-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -176px;
  }

  /* Nebulizer */
  .reimburse__form input[type=checkbox]#nebulizer + label {
    background: url('../images/icon-nebulizer-sprite.svg') 0 0 no-repeat;
    background-size: cover;
    background-position: 0;
  }

  .reimburse__form input[type=checkbox]#nebulizer + label:hover {
    background: url('../images/icon-nebulizer-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -88px;
  }

  .reimburse__form input[type=checkbox]#nebulizer:checked + label {
    background: url('../images/icon-nebulizer-sprite.svg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: -176px;
  }
}

@media (max-width: 640px) {
  .reimburse__form-checkbox-wrap {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
    position: relative;
    left: -23px; /* offsets padding-left on .reimburse__form-wrap */
  }

  .reimburse__form input[type="submit"] {
    padding: 10px 55px;
  }
}

@media (max-width: 480px) {
  .reimburse__compare-grid {
    flex-direction: column;
  }

  .reimburse__compare-block--left .reimburse__compare-image {
    width: 220px;
  }

  .reimburse__compare-block {
    padding: 1.25em 1.5em 2.5em;
  }

  .reimburse__compare-block {
    width: 100%;
  }

  .reimburse__share-block {
    flex-direction: column;
    text-align: left;
  }

  .reimburse__share-link--pdf {
    margin-right: 0;
    margin-bottom: 10px;
  }

  .reimburse__share-link--email {
    margin-left: 0;
  }

  .reimburse__form-checkbox-wrap {
    margin: 0 -20px;
    left: 0;
  }

  .reimburse__form input[type=checkbox] + label {
    width: 66px;
    height: 138px;
    cursor: pointer;
    margin-right: 10px;
    margin-bottom: 10px;
    outline: none;
  }

  /* Ventilation */
  .reimburse__form input[type=checkbox]#ventilation + label {
    background-size: 66px 138px;
  }

  /* Oxygen */
  .reimburse__form input[type=checkbox]#oxygen + label:hover {
    background-position: -66px;
  }

  .reimburse__form input[type=checkbox]#oxygen:checked + label {
    background-position: -132px;
  }

  /* Cough */
  .reimburse__form input[type=checkbox]#cough + label:hover {
    background-position: -66px;
  }

  .reimburse__form input[type=checkbox]#cough:checked + label {
    background-position: -132px;
  }

  /* Suction */
  .reimburse__form input[type=checkbox]#suction + label:hover {
    background-position: -66px;
  }

  .reimburse__form input[type=checkbox]#suction:checked + label {
    background-position: -132px;
  }

  /* Nebulizer */
  .reimburse__form input[type=checkbox]#nebulizer + label:hover {
    background-position: -66px;
  }

  .reimburse__form input[type=checkbox]#nebulizer:checked + label {
    background-position: -132px;
  }
}
